package ru.ulstu.tsMethods.exponential.param;

public class TimeSeriesMethodParamValue<T extends TimeSeriesMethodParam> {
    private final T param;
    private final Number value;

    public TimeSeriesMethodParamValue(T param, Number value) {
        this.param = param;
        this.value = value;
    }

    public T getParam() {
        return param;
    }

    public Number getValue() {
        return value;
    }

    public double getDoubleValue() {
        return value.doubleValue();
    }

    public int getIntValue() {
        return value.intValue();
    }
}
